gtkmm 3.6.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gtk::IconView Class Reference
Widgets | Container Widgets

The IconView provides an alternative view of a list model. More...

Inheritance diagram for Gtk::IconView:
[legend]

List of all members.

## Public Types
typedef sigc::slot< void, const TreeModel::Path& > | SlotForeach
| For instance, void on_foreach(const Gtk::TreeModel::Path& path);.
Public Types inherited from Gtk::Container
typedef sigc::slot< void, Widget& > | ForeachSlot
| For instance, void on_foreach(Gtk::Widget* widget);.
Public Types inherited from Gtk::CellLayout
typedef sigc::slot< void, const TreeModel::const_iterator& > | SlotCellData

## Public Member Functions
virtual | ~IconView ()
GtkIconView* | gobj ()
| Provides access to the underlying C GtkObject.
const GtkIconView* | gobj () const
| Provides access to the underlying C GtkObject.
| IconView ()
| IconView (const Glib::RefPtr< TreeModel >& model)
| IconView (const Glib::RefPtr< CellArea >& cell_area)
void | set_model (const Glib::RefPtr< TreeModel >& model)
| Sets the model for a Gtk::IconView.
Glib::RefPtr< TreeModel > | get_model ()
| Returns the model the Gtk::IconView is based on.
Glib::RefPtr< const TreeModel > | get_model () const
| Returns the model the Gtk::IconView is based on.
void | unset_model ()
| Remove the model from the IconView.
void | set_text_column (int column)
| Sets the column with text for icon_view to be column.
void | set_text_column (const TreeModelColumnBase& model_column)
| Sets the column with text for icon_view to be column.
int | get_text_column () const
| Returns the column with text for icon_view.
void | set_markup_column (int column)
| Sets the column with markup information for icon_view to be column.
void | set_markup_column (const TreeModelColumnBase& column)
| Sets the column with markup information for icon_view to be column.
int | get_markup_column () const
| Returns the column with markup text for icon_view.
void | set_pixbuf_column (int column)
| Sets the column with pixbufs for icon_view to be column.
void | set_pixbuf_column (const TreeModelColumnBase& column)
| Sets the column with pixbufs for icon_view to be column.
int | get_pixbuf_column () const
| Returns the column with pixbufs for icon_view.
void | set_item_orientation (Orientation orientation)
| Sets the property_item_orientation() property which determines whether the labels are drawn beside the icons instead of below.
Orientation | get_item_orientation () const
| Returns the value of the property_item_orientation() property which determines whether the labels are drawn beside the icons instead of below.
void | set_columns (int columns)
| Sets the property_columns() property which determines in how many columns the icons are arranged.
int | get_columns () const
| Returns the value of the property_columns() property.
void | set_item_width (int item_width)
| Sets the property_item_width() property which specifies the width to use for each item.
int | get_icon_width () const
| Returns the value of the property_item_width() property.
void | set_spacing (int spacing)
| Sets the property_spacing() property which specifies the space which is inserted between the cells (i.e. the icon and the text) of an item.
int | get_spacing () const
| Returns the value of the property_spacing() property.
void | set_row_spacing (int row_spacing)
| Sets the property_row_spacing() property which specifies the space which is inserted between the rows of the icon view.
gint | get_row_spacing () const
| Returns the value of the property_row_spacing() property.
void | set_column_spacing (int column_spacing)
| Sets the property_column_spacing() property which specifies the space which is inserted between the columns of the icon view.
int | get_column_spacing () const
| Returns the value of the property_column_spacing() property.
void | set_margin (int margin)
| Sets the property_margin() property which specifies the space which is inserted at the top, bottom, left and right of the icon view.
int | get_margin () const
| Returns the value of the property_margin() property.
void | set_item_padding (int item_padding)
| Sets the Gtk::IconView::property_item_padding() property which specifies the padding around each of the icon view's items.
int | get_item_padding () const
| Returns the value of the property_item_padding() property.
TreeModel::Path | get_path_at_pos (int x, int y) const
| Finds the path at the point ( x, y), relative to bin_window coordinates.
bool | get_item_at_pos (int x, int y, TreeModel::Path& path, CellRenderer*& cell) const
| Finds the path at the point (x, y), relative to widget coordinates.
bool | get_item_at_pos (int x, int y, TreeModel::Path& path) const
| Finds the path at the point (x, y), relative to widget coordinates.
bool | get_item_at_pos (int x, int y, CellRenderer*& cell) const
| Finds the path at the point (x, y), relative to widget coordinates.
bool | get_visible_range (TreeModel::Path& start_path, TreeModel::Path& end_path) const
void | selected_foreach (const SlotForeach& slot)
| Calls a function for each selected icon.
void | set_selection_mode (SelectionMode mode)
| Sets the selection mode of the icon_view.
SelectionMode | get_selection_mode () const
| Gets the selection mode of the icon_view.
void | select_path (const TreeModel::Path& path)
| Selects the row at path.
void | unselect_path (const TreeModel::Path& path)
| Unselects the row at path.
bool | path_is_selected (const TreeModel::Path& path) const
| Returns `true` if the icon pointed to by path is currently selected.
int | get_item_row (const TreeModel::Path& path) const
| Gets the row in which the item path is currently displayed.
int | get_item_column (const TreeModel::Path& path) const
| Gets the column in which the item path is currently displayed.
std::vector< TreePath > | get_selected_items () const
| Creates a list of paths of all selected items.
void | select_all ()
| Selects all the icons.
void | unselect_all ()
| Unselects all the icons.
void | item_activated (const TreeModel::Path& path)
| Activates the item determined by path.
void | set_cursor (const TreeModel::Path& path, CellRenderer& cell, bool start_editing)
| Sets the current keyboard focus to be at path, and selects it.
bool | get_cursor (TreeModel::Path& path, CellRenderer*& cell) const
| Fills in path and cell with the current cursor path and cell.
bool | get_cursor (TreeModel::Path& path) const
| Fills in path and cell with the current cursor path and cell.
bool | get_cursor (CellRenderer*& cell) const
| Fills in path and cell with the current cursor path and cell.
void | scroll_to_path (const TreeModel::Path& path, bool use_align, gfloat row_align, gfloat col_align)
| Moves the alignments of icon_view to the position specified by path.
void | enable_model_drag_source (const std::vector< TargetEntry >& targets, Gdk::ModifierType start_button_mask=Gdk::MODIFIER_MASK, Gdk::DragAction actions=Gdk::ACTION_COPY|Gdk::ACTION_MOVE)
| Turns the IconView into a drag source for automatic DND.
void | enable_model_drag_dest (const std::vector< TargetEntry >& targets, Gdk::DragAction actions=Gdk::ACTION_COPY|Gdk::ACTION_MOVE)
| Turns the IconView into a drop destination for automatic DND.
void | unset_model_drag_source ()
| Undoes the effect of enable_model_drag_source().
void | unset_model_drag_dest ()
| Undoes the effect of enable_model_drag_dest().
void | set_reorderable (bool reorderable=true)
| This function is a convenience function to allow you to reorder models that support the Gtk::TreeDragSourceIface and the Gtk::TreeDragDestIface.
bool | get_reorderable () const
| Retrieves whether the user can reorder the list via drag-and-drop.
void | set_drag_dest_item (const TreeModel::Path& path, IconViewDropPosition pos)
| Sets the item that is highlighted for feedback.
void | get_drag_dest_item (TreeModel::Path& path, IconViewDropPosition& pos) const
| Gets information about the item that is highlighted for feedback.
void | get_drag_dest_item (TreeModel::Path& path) const
| Gets information about the item that is highlighted for feedback.
void | get_drag_dest_item (IconViewDropPosition& pos) const
| Gets information about the item that is highlighted for feedback.
bool | get_dest_item_at_pos (int drag_x, int drag_y, TreeModel::Path& path, IconViewDropPosition& pos) const
| Determines the destination item for a given position.
bool | get_dest_item_at_pos (int drag_x, int drag_y, TreeModel::Path& path) const
| Determines the destination item for a given position.
bool | get_dest_item_at_pos (int drag_x, int drag_y, IconViewDropPosition& pos) const
| Determines the destination item for a given position.
Cairo::RefPtr< Cairo::Surface > | create_drag_icon (const TreeModel::Path& path)
| Creates a #cairo_surface_t representation of the item at path.
void | convert_widget_to_bin_window_coords (int wx, int wy, int& bx, int& by) const
| Converts widget coordinates to coordinates for the bin_window, as expected by e.g. get_path_at_pos().
void | set_tooltip_item (const Glib::RefPtr< Tooltip >& tooltip, const TreeModel::Path& path)
| Sets the tip area of tooltip to be the area covered by the item at path.
void | set_tooltip_cell (const Glib::RefPtr< Tooltip >& tooltip, const TreeModel::Path& path, CellRenderer& cell)
| Sets the tip area of tooltip to the area which cell occupies in the item pointed to by path.
void | set_tooltip_cell (const Glib::RefPtr< Tooltip >& tooltip, const TreeModel::Path& path)
| Sets the tip area of tooltip to the area occupied by the item pointed to by path.
bool | get_tooltip_context_path (int& x, int& y, bool keyboard_tip, TreeModel::Path& path)
bool | get_tooltip_context_iter (int& x, int& y, bool keyboard_tip, Gtk::TreeModel::iterator& iter)
void | set_tooltip_column (int column)
| If you only plan to have simple (text-only) tooltips on full items, you can use this function to have Gtk::IconView handle these automatically for you.
int | get_tooltip_column () const
| Returns the column of icon_view's model which is being used for displaying tooltips on icon_view's rows.
Glib::SignalProxy1< void, const TreeModel::Path& > | signal_item_activated ()
Glib::SignalProxy0< void > | signal_selection_changed ()
Glib::PropertyProxy< int > | property_pixbuf_column ()
| Model column used to retrieve the icon pixbuf from.
Glib::PropertyProxy_ReadOnly< int > | property_pixbuf_column () const
| Model column used to retrieve the icon pixbuf from.
Glib::PropertyProxy< int > | property_text_column ()
| Model column used to retrieve the text from.
Glib::PropertyProxy_ReadOnly< int > | property_text_column () const
| Model column used to retrieve the text from.
Glib::PropertyProxy< int > | property_markup_column ()
| Model column used to retrieve the text if using Pango markup.
Glib::PropertyProxy_ReadOnly< int > | property_markup_column () const
| Model column used to retrieve the text if using Pango markup.
Glib::PropertyProxy < SelectionMode > | property_selection_mode ()
| The selection mode.
Glib::PropertyProxy_ReadOnly < SelectionMode > | property_selection_mode () const
| The selection mode.
Glib::PropertyProxy< Orientation > | property_item_orientation ()
| How the text and icon of each item are positioned relative to each other.
Glib::PropertyProxy_ReadOnly < Orientation > | property_item_orientation () const
| How the text and icon of each item are positioned relative to each other.
Glib::PropertyProxy < Glib::RefPtr< TreeModel > > | property_model ()
| The model for the icon view.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< TreeModel > > | property_model () const
| The model for the icon view.
Glib::PropertyProxy< int > | property_columns ()
| Number of columns to display.
Glib::PropertyProxy_ReadOnly< int > | property_columns () const
| Number of columns to display.
Glib::PropertyProxy< int > | property_item_width ()
| The width used for each item.
Glib::PropertyProxy_ReadOnly< int > | property_item_width () const
| The width used for each item.
Glib::PropertyProxy< int > | property_spacing ()
| Space which is inserted between cells of an item.
Glib::PropertyProxy_ReadOnly< int > | property_spacing () const
| Space which is inserted between cells of an item.
Glib::PropertyProxy< int > | property_row_spacing ()
| Space which is inserted between grid rows.
Glib::PropertyProxy_ReadOnly< int > | property_row_spacing () const
| Space which is inserted between grid rows.
Glib::PropertyProxy< int > | property_column_spacing ()
| Space which is inserted between grid columns.
Glib::PropertyProxy_ReadOnly< int > | property_column_spacing () const
| Space which is inserted between grid columns.
Glib::PropertyProxy< int > | property_margin ()
| Space which is inserted at the edges of the icon view.
Glib::PropertyProxy_ReadOnly< int > | property_margin () const
| Space which is inserted at the edges of the icon view.
Glib::PropertyProxy< int > | property_reorderable ()
| View is reorderable.
Glib::PropertyProxy_ReadOnly< int > | property_reorderable () const
| View is reorderable.
Glib::PropertyProxy< int > | property_tooltip_column ()
| The column in the model containing the tooltip texts for the items.
Glib::PropertyProxy_ReadOnly< int > | property_tooltip_column () const
| The column in the model containing the tooltip texts for the items.
Glib::PropertyProxy< int > | property_item_padding ()
| Padding around icon view items.
Glib::PropertyProxy_ReadOnly< int > | property_item_padding () const
| Padding around icon view items.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< CellArea > > | property_cell_area () const
| The GtkCellArea used to layout cells.
Public Member Functions inherited from Gtk::Container
virtual | ~Container ()
void | set_border_width (guint border_width)
| Sets the border width of the container.
guint | get_border_width () const
| Retrieves the border width of the container.
virtual void | add (Widget& widget)
void | remove (Widget& widget)
| Removes widget from container.
void | set_resize_mode (ResizeMode resize_mode)
| Sets the resize mode for the container.
ResizeMode | get_resize_mode () const
| Returns the resize mode for the container.
void | check_resize ()
| Request that contained widgets check their size.
void | foreach (const ForeachSlot& slot)
| Operate on contained items.
void | forall (const ForeachSlot& slot)
| Operate on contained items, including internal children.
std::vector< Widget* > | get_children ()
| (internal) Operate on contained items (see foreach())
std::vector< const Widget* > | get_children () const
| Returns the container's non-internal children.
void | propagate_draw (Widget& child, const ::Cairo::RefPtr< ::Cairo::Context >& cr)
| When a container receives a call to the draw function, it must send synthetic Gtk::Widget::signal_draw() calls to all children that don't have their own Gdk::Windows.
void | set_focus_chain (const std::vector< Widget* >& focusable_widgets)
| Sets a focus chain, overriding the one computed automatically by GTK+.
bool | has_focus_chain () const
std::vector< Widget* > | get_focus_chain ()
std::vector< const Widget* > | get_focus_chain () const
void | unset_focus_chain ()
| Removes a focus chain explicitly set with set_focus_chain().
void | set_reallocate_redraws (bool needs_redraws=true)
| Sets the reallocate_redraws flag of the container to the given value.
void | set_focus_child (Widget& widget)
| Sets the focus on a child.
Widget* | get_focus_child ()
| Returns the current focus child widget inside container.
const Widget* | get_focus_child () const
| Returns the current focus child widget inside container.
void | set_focus_vadjustment (const Glib::RefPtr< Adjustment >& adjustment)
| Hooks up an adjustment to focus handling in a container, so when a child of the container is focused, the adjustment is scrolled to show that widget.
Glib::RefPtr< Adjustment > | get_focus_vadjustment ()
| Retrieves the vertical focus adjustment for the container.
Glib::RefPtr< const Adjustment > | get_focus_vadjustment () const
| Retrieves the vertical focus adjustment for the container.
void | set_focus_hadjustment (const Glib::RefPtr< Adjustment >& adjustment)
| Hooks up an adjustment to focus handling in a container, so when a child of the container is focused, the adjustment is scrolled to show that widget.
Glib::RefPtr< Adjustment > | get_focus_hadjustment ()
| Retrieves the horizontal focus adjustment for the container.
Glib::RefPtr< const Adjustment > | get_focus_hadjustment () const
| Retrieves the horizontal focus adjustment for the container.
void | resize_children ()
GType | child_type () const
| Returns the type of the children supported by the container.
WidgetPath | get_path_for_child (const Widget& child) const
| Returns a newly created widget path representing all the widget hierarchy from the toplevel down to and including child.
Glib::SignalProxy1< void, Widget* > | signal_add ()
Glib::SignalProxy1< void, Widget* > | signal_remove ()
Glib::SignalProxy0< void > | signal_check_resize ()
Glib::SignalProxy1< void, Widget* > | signal_set_focus_child ()
void | show_all_children (bool recursive=true)
Public Member Functions inherited from Gtk::Widget
virtual | ~Widget ()
| Destroys the widget.
void | show ()
| Flags a widget to be displayed.
void | show_now ()
| Shows a widget.
void | hide ()
| Reverses the effects of show(), causing the widget to be hidden (invisible to the user).
void | show_all ()
| Recursively shows a widget, and any child widgets (if the widget is a container).
void | queue_draw ()
| Equivalent to calling queue_draw_area() for the entire area of a widget.
void | queue_draw_area (int x, int y, int width, int height)
| Convenience function that calls queue_draw_region() on the region created from the given coordinates.
void | queue_draw_region (const ::Cairo::RefPtr< const ::Cairo::Region >& region)
| Invalidates the rectangular area of widget defined by region by calling gdk_window_invalidate_region() on the widget's window and all its child windows.
void | queue_resize ()
| This function is only for use in widget implementations.
void | size_allocate (const Allocation& allocation)
| This function is only used by Gtk::Container subclasses, to assign a size and position to their child widgets.
SizeRequestMode | get_request_mode () const
| Gets whether the widget prefers a height-for-width layout or a width-for-height layout.
void | get_preferred_width (int& minimum_width, int& natural_width) const
| Retrieves a widget's initial minimum and natural width.
void | get_preferred_height_for_width (int width, int& minimum_height, int& natural_height) const
| Retrieves a widget's minimum and natural height if it would be given the specified width.
void | get_preferred_height (int& minimum_height, int& natural_height) const
| Retrieves a widget's initial minimum and natural height.
void | get_preferred_width_for_height (int height, int& minimum_width, int& natural_width) const
| Retrieves a widget's minimum and natural width if it would be given the specified height.
void | get_preferred_size (Requisition& minimum_size, Requisition& natural_size) const
| Retrieves the minimum and natural size of a widget, taking into account the widget's preference for height-for-width management.
void | add_accelerator (const Glib::ustring& accel_signal, const Glib::RefPtr< AccelGroup >& accel_group, guint accel_key, Gdk::ModifierType accel_mods, AccelFlags accel_flags)
| Installs an accelerator for this widget in accel_group that causes accel_signal to be emitted if the accelerator is activated.
bool | remove_accelerator (const Glib::RefPtr< AccelGroup >& accel_group, guint accel_key, Gdk::ModifierType accel_mods)
| Removes an accelerator from widget, previously installed with add_accelerator().
void | set_accel_path (const Glib::ustring& accel_path, const Glib::RefPtr< AccelGroup >& accel_group)
| Given an accelerator group, accel_group, and an accelerator path, accel_path, sets up an accelerator in accel_group so whenever the key binding that is defined for accel_path is pressed, widget will be activated.
bool | mnemonic_activate (bool group_cycling)
| Emits the Gtk::Widget::signal_mnemonic_activate() signal.
bool | event (GdkEvent* event)
| Rarely-used function.
int | send_expose (GdkEvent*event)
| Very rarely-used function.
bool | send_focus_change (GdkEvent*event)
| Sends the focus change event to widget.
bool | activate ()
| For widgets that can be "activated" (buttons, menu items, etc.) this function activates them.
void | reparent (Widget& new_parent)
| Moves a widget from one Gtk::Container to another, handling reference count issues to avoid destroying the widget.
bool | intersect (const Gdk::Rectangle& area) const
bool | intersect (const Gdk::Rectangle& area, Gdk::Rectangle& intersection) const
| Computes the intersection of a widget's area and area, storing the intersection in intersection, and returns `true` if there was an intersection.
::Cairo::RefPtr< ::Cairo::Region > | region_intersect (const ::Cairo::RefPtr< ::Cairo::Region >& region) const
| Computes the intersection of a widget's area and region, returning the intersection.
void | freeze_child_notify ()
| Stops emission of Gtk::Widget::signal_child_notify() signals on widget.
void | child_notify (const Glib::ustring& child_property)
| Emits a Gtk::Widget::signal_child_notify() signal for the child property child_property on widget.
void | thaw_child_notify ()
| Reverts the effect of a previous call to freeze_child_notify().
void | set_can_focus (bool can_focus=true)
| Specifies whether widget can own the input focus.
bool | get_can_focus () const
| Determines whether widget can own the input focus.
bool | has_focus () const
| Determines if the widget has the global input focus.
bool | is_focus () const
| Determines if the widget is the focus widget within its toplevel.
bool | has_visible_focus () const
| Determines if the widget should show a visible indication that it has the global input focus.
void | grab_focus ()
| Causes widget to have the keyboard focus for the Gtk::Window it's inside.
void | set_can_default (bool can_default=true)
| Specifies whether widget can be a default widget.
bool | get_can_default () const
| Determines whether widget can be a default widget.
bool | has_default () const
| Determines whether widget is the current default widget within its toplevel.
void | grab_default ()
| Causes widget to become the default widget.
void | set_receives_default (bool receives_default=true)
| Specifies whether widget will be treated as the default widget within its toplevel when it has the focus, even if another widget is the default.
bool | get_receives_default () const
| Determines whether widget is alyways treated as default widget withing its toplevel when it has the focus, even if another widget is the default.
bool | has_grab () const
| Determines whether the widget is currently grabbing events, so it is the only widget receiving input events (keyboard and mouse).
bool | device_is_shadowed (const Glib::RefPtr< const Gdk::Device >& device)
| Returns `true` if device has been shadowed by a GTK+ device grab on another widget, so it would stop sending events to widget.
void | add_modal_grab ()
| Block events to everything else than this widget and its children.
void | remove_modal_grab ()
| Remove the modal grab of the widget in case it was previously grabbed.
void | set_name (const Glib::ustring& name)
| Widgets can be named, which allows you to refer to them from a CSS file.
void | unset_name ()
Glib::ustring | get_name () const
| Retrieves the name of a widget.
void | set_state (StateType state)
| This function is for use in widget implementations.
StateType | get_state () const
| Returns the widget's state.
void | set_state_flags (StateFlags flags, bool clear=true)
| This function is for use in widget implementations.
void | unset_state_flags (StateFlags flags)
| This function is for use in widget implementations.
StateFlags | get_state_flags () const
| Returns the widget state as a flag set.
void | set_sensitive (bool sensitive=true)
| Sets the sensitivity of a widget.
bool | get_sensitive () const
| Returns the widget's sensitivity (in the sense of returning the value that has been set using set_sensitive()).
bool | is_sensitive () const
| Returns the widget's effective sensitivity, which means it is sensitive itself and also its parent widget is sensitive.
void | set_visible (bool visible=true)
| Sets the visibility state of widget.
bool | get_visible () const
| Determines whether the widget is visible.
bool | get_has_window () const
| Determines whether widget has a Gdk::Window of its own.
bool | get_is_toplevel () const
| Determines whether widget is a toplevel widget.
bool | get_is_drawable () const
| Determines whether widget can be drawn to.
bool | get_realized () const
| Determines whether widget is realized.
bool | get_mapped () const
| Whether the widget is mapped.
void | set_app_paintable (bool app_paintable=true)
| Sets whether the application intends to draw on the widget in an Gtk::Widget::signal_draw() handler.
bool | get_app_paintable () const
| Determines whether the application intends to draw on the widget in an Gtk::Widget::signal_draw() handler.
void | set_double_buffered (bool double_buffered=true)
| Widgets are double buffered by default; you can use this function to turn off the buffering.
bool | get_double_buffered () const
| Determines whether the widget is double buffered.
void | set_redraw_on_allocate (bool redraw_on_allocate=true)
| Sets whether the entire widget is queued for drawing when its size allocation changes.
void | set_child_visible (bool is_visible=true)
| Sets whether widget should be mapped along with its when its parent is mapped and widget has been shown with show().
bool | get_child_visible () const
| Gets the value set with set_child_visible().
Glib::RefPtr< Gdk::Window > | get_window ()
| Returns the widget's window if it is realized, `0` otherwise.
Glib::RefPtr< const Gdk::Window > | get_window () const
| Returns the widget's window if it is realized, `0` otherwise.
int | get_allocated_width () const
| Returns the width that has currently been allocated to widget.
int | get_allocated_height () const
| Returns the height that has currently been allocated to widget.
Allocation | get_allocation () const
| Retrieves the widget's location.
void | set_allocation (const Allocation& allocation)
| Sets the widget's allocation.
Container* | get_parent ()
| Returns the parent container of widget.
const Container* | get_parent () const
| Returns the parent container of widget.
Glib::RefPtr< Gdk::Window > | get_parent_window ()
| Gets widget's parent window.
Glib::RefPtr< const Gdk::Window > | get_parent_window () const
| Gets widget's parent window.
void | set_parent_window (const Glib::RefPtr< const Gdk::Window >& parent_window)
| Sets a non default parent window for widget.
bool | child_focus (DirectionType direction)
| This function is used by custom widget implementations; if you're writing an app, you'd use grab_focus() to move the focus to a particular widget, and Gtk::Container::set_focus_chain() to change the focus tab order.
bool | keynav_failed (DirectionType direction)
| This function should be called whenever keyboard navigation within a single widget hits a boundary.
void | error_bell ()
| Notifies the user about an input-related error on this widget.
void | set_size_request (int width=-1, int height=-1)
| Sets the minimum size of a widget; that is, the widget's size request will be width by height.
void | get_size_request (int& width, int& height) const
| Gets the size request that was explicitly set for the widget using set_size_request().
void | set_events (Gdk::EventMask events)
| Sets the event mask (see Gdk::EventMask) for a widget.
void | add_events (Gdk::EventMask events)
| Adds the events in the bitfield events to the event mask for widget.
void | set_device_events (const Glib::RefPtr< const Gdk::Device >& device, Gdk::EventMask events)
| Sets the device event mask (see Gdk::EventMask) for a widget.
void | add_device_events (const Glib::RefPtr< const Gdk::Device >& device, Gdk::EventMask events)
| Adds the device events in the bitfield events to the event mask for widget.
void | set_device_enabled (const Glib::RefPtr< Gdk::Device >& device, bool enabled=true)
| Enables or disables a Gdk::Device to interact with widget and all its children.
bool | get_device_enabled (const Glib::RefPtr< const Gdk::Device >& device) const
| Returns whether device can interact with widget and its children.
Container* | get_toplevel ()
| This function returns the topmost widget in the container hierarchy widget is a part of.
const Container* | get_toplevel () const
| This function returns the topmost widget in the container hierarchy widget is a part of.
Widget* | get_ancestor (GType widget_type)
| Gets the first ancestor of widget with type widget_type.
const Widget* | get_ancestor (GType widget_type) const
| Gets the first ancestor of widget with type widget_type.
Glib::RefPtr< Gdk::Visual > | get_visual ()
| Gets the visual that will be used to render widget.
Glib::RefPtr< Gdk::Screen > | get_screen ()
| Get the Gdk::Screen from the toplevel window associated with this widget.
Glib::RefPtr< const Gdk::Screen > | get_screen () const
| Get the Gdk::Screen from the toplevel window associated with this widget.
bool | has_screen () const
| Checks whether there is a Gdk::Screen is associated with this widget.
Glib::RefPtr< Gdk::Display > | get_display ()
| Get the Gdk::Display for the toplevel window associated with this widget.
Glib::RefPtr< const Gdk::Display > | get_display () const
| Get the Gdk::Display for the toplevel window associated with this widget.
Glib::RefPtr< Gdk::Window > | get_root_window ()
| Get the root window where this widget is located.
Glib::RefPtr< const Gdk::Window > | get_root_window () const
| Get the root window where this widget is located.
Glib::RefPtr< Settings > | get_settings ()
| Gets the settings object holding the settings used for this widget.
Glib::RefPtr< Clipboard > | get_clipboard (const Glib::ustring& selection)
| Returns the clipboard object for the given selection to be used with widget.
Glib::RefPtr< const Clipboard > | get_clipboard (const Glib::ustring& selection) const
| Returns the clipboard object for the given selection to be used with widget.
bool | get_hexpand () const
| Gets whether the widget would like any available extra horizontal space.
void | set_hexpand (bool expand=true)
| Sets whether the widget would like any available extra horizontal space.
bool | get_hexpand_set () const
| Gets whether set_hexpand() has been used to explicitly set the expand flag on this widget.
void | set_hexpand_set (bool set=true)
| Sets whether the hexpand flag (see get_hexpand()) will be used.
bool | get_vexpand () const
| Gets whether the widget would like any available extra vertical space.
void | set_vexpand (bool expand=true)
| Sets whether the widget would like any available extra vertical space.
bool | get_vexpand_set () const
| Gets whether set_vexpand() has been used to explicitly set the expand flag on this widget.
void | set_vexpand_set (bool set=true)
| Sets whether the vexpand flag (see get_vexpand()) will be used.
void | queue_compute_expand ()
| Mark widget as needing to recompute its expand flags.
bool | compute_expand (Orientation orientation)
| Computes whether a container should give this widget extra space when possible.
bool | get_support_multidevice () const
| Returns `true` if widget is multiple pointer aware.
void | set_support_multidevice (bool support_multidevice=true)
| Enables or disables multiple pointer awareness.
Glib::RefPtr< Atk::Object > | get_accessible ()
| Returns the accessible object that describes the widget to an assistive technology.
Glib::RefPtr< const Atk::Object > | get_accessible () const
| Returns the accessible object that describes the widget to an assistive technology.
Align | get_halign () const
| Gets the value of the Gtk::Widget::property_halign() property.
void | set_halign (Align align)
| Sets the horizontal alignment of widget.
Align | get_valign () const
| Gets the value of the Gtk::Widget::property_valign() property.
void | set_valign (Align align)
| Sets the vertical alignment of widget.
int | get_margin_left () const
| Gets the value of the Gtk::Widget::property_margin_left() property.
void | set_margin_left (int margin)
| Sets the left margin of widget.
int | get_margin_right () const
| Gets the value of the Gtk::Widget::property_margin_right() property.
void | set_margin_right (int margin)
| Sets the right margin of widget.
int | get_margin_top () const
| Gets the value of the Gtk::Widget::property_margin_top() property.
void | set_margin_top (int margin)
| Sets the top margin of widget.
int | get_margin_bottom () const
| Gets the value of the Gtk::Widget::property_margin_bottom() property.
void | set_margin_bottom (int margin)
| Sets the bottom margin of widget.
Gdk::EventMask | get_events () const
| Returns the event mask for the widget (a bitfield containing flags from the Gdk::EventMask enumeration).
Gdk::EventMask | get_device_events (const Glib::RefPtr< const Gdk::Device >& device) const
| Returns the events mask for the widget corresponding to an specific device.
void | get_pointer (int& x, int& y) const
| Obtains the location of the mouse pointer in widget coordinates.
bool | is_ancestor (Widget& ancestor) const
| Determines whether widget is somewhere inside ancestor, possibly with intermediate containers.
bool | translate_coordinates (Widget& dest_widget, int src_x, int src_y, int& dest_x, int& dest_y)
| Translate coordinates relative to src_widget's allocation to coordinates relative to dest_widget's allocations.
void | override_color (const Gdk::RGBA& color, StateFlags state=(StateFlags) 0)
void | unset_color (StateFlags state=(StateFlags) 0)
void | override_background_color (const Gdk::RGBA& color, StateFlags state=(StateFlags) 0)
void | unset_background_color (StateFlags state=(StateFlags) 0)
void | override_font (const Pango::FontDescription& font_desc)
| Sets the font to use for a widget.
void | unset_font ()
void | override_symbolic_color (const Glib::ustring& name, const Gdk::RGBA& color)
| Sets a symbolic color for a widget.
void | unset_symbolic_color (const Glib::ustring& name)
void | override_cursor (const Gdk::RGBA& cursor, const Gdk::RGBA& secondary_cursor)
| Sets the cursor color to use in a widget, overriding the Gtk::Widget::property_cursor_color() and Gtk::Widget::property_secondary_cursor_color() style properties.
void | unset_cursor ()
void | reset_style ()
| Updates the style context of widget and all descendents by updating its widget path.
template<class PropertyType >
void | get_style_property (const Glib::ustring& the_property_name, PropertyType& value) const
| Gets the value of a style property of widget.
Glib::RefPtr< Pango::Context > | create_pango_context ()
| Creates a new Pango::Context with the appropriate font map, font description, and base direction for drawing text for this widget.
Glib::RefPtr< Pango::Context > | get_pango_context ()
| Gets a Pango::Context with the appropriate font map, font description, and base direction for this widget.
Glib::RefPtr< Pango::Layout > | create_pango_layout (const Glib::ustring& text)
| Creates a new Pango::Layout with the appropriate font map, font description, and base direction for drawing text for this widget.
Glib::RefPtr< Gdk::Pixbuf > | render_icon_pixbuf (const StockID& stock_id, IconSize size)
| A convenience function that uses the theme engine and style settings for widget to look up stock_id and render it to a pixbuf.
void | set_composite_name (const Glib::ustring& name)
| Sets a widgets composite name.
void | unset_composite_name ()
Glib::ustring | get_composite_name () const
| Obtains the composite name of a widget.
void | set_direction (TextDirection dir)
| Sets the reading direction on a particular widget.
TextDirection | get_direction () const
| Gets the reading direction for a particular widget.
void | shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region >& region)
| Sets a shape for this widget's GDK window.
void | input_shape_combine_region (const ::Cairo::RefPtr< const ::Cairo::Region >& region)
| Sets an input shape for this widget's GDK window.
WidgetPath | get_path () const
| Returns the Gtk::WidgetPath representing widget, if the widget is not connected to a toplevel widget, a partial path will be created.
std::vector< Widget* > | list_mnemonic_labels ()
| Returns a newly allocated list of the widgets, normally labels, for which this widget is the target of a mnemonic (see for example, Gtk::Label::set_mnemonic_widget()).
std::vector< const Widget* > | list_mnemonic_labels () const
| Returns a newly allocated list of the widgets, normally labels, for which this widget is the target of a mnemonic (see for example, Gtk::Label::set_mnemonic_widget()).
void | add_mnemonic_label (Widget& label)
| Adds a widget to the list of mnemonic labels for this widget.
void | remove_mnemonic_label (Widget& label)
| Removes a widget from the list of mnemonic labels for this widget.
void | drag_get_data (const Glib::RefPtr< Gdk::DragContext >& context, const Glib::ustring& target, guint32 time)
void | drag_highlight ()
void | drag_unhighlight ()
void | drag_dest_set (DestDefaults flags=DestDefaults(0), Gdk::DragAction actions=Gdk::DragAction(0))
void | drag_dest_set (const std::vector< TargetEntry >& targets, DestDefaults flags=DEST_DEFAULT_ALL, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_dest_set_proxy (const Glib::RefPtr< Gdk::Window >& proxy_window, Gdk::DragProtocol protocol, bool use_coordinates)
void | drag_dest_unset ()
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext >& context, const Glib::RefPtr< TargetList >& target_list) const
| Looks for a match between context->targets and the dest_target_list, returning the first matching target, otherwise returning Gdk::NONE.
Glib::ustring | drag_dest_find_target (const Glib::RefPtr< Gdk::DragContext >& context) const
Glib::RefPtr< TargetList > | drag_dest_get_target_list ()
Glib::RefPtr< const TargetList > | drag_dest_get_target_list () const
void | drag_dest_set_target_list (const Glib::RefPtr< TargetList >& target_list)
void | drag_dest_add_text_targets ()
void | drag_dest_add_image_targets ()
void | drag_dest_add_uri_targets ()
void | drag_source_set (const std::vector< TargetEntry >& targets, Gdk::ModifierType start_button_mask=Gdk::MODIFIER_MASK, Gdk::DragAction actions=Gdk::ACTION_COPY)
void | drag_source_unset ()
void | drag_source_set_icon (const Glib::RefPtr< Gdk::Pixbuf >& pixbuf)
void | drag_source_set_icon (const StockID& stock_id)
| Sets the icon that will be used for drags from a particular source to a stock icon.
void | drag_source_set_icon (const Glib::ustring& icon_name)
| Sets the icon that will be used for drags from a particular source to a themed icon.
void | drag_source_add_text_targets ()
| Add the text targets supported by Gtk::Selection to the target list of the drag source.
void | drag_source_add_uri_targets ()
void | drag_source_add_image_targets ()
Glib::RefPtr< Gdk::DragContext > | drag_begin (const Glib::RefPtr< TargetList >& targets, Gdk::DragAction actions, int button, GdkEvent*event)
bool | drag_check_threshold (int start_x, int start_y, int current_x, int current_y)
void | drag_set_as_icon (const Glib::RefPtr< Gdk::DragContext >& context, int hot_x, int hot_y)
void | queue_resize_no_redraw ()
| This function works like queue_resize(), except that the widget is not invalidated.
bool | get_no_show_all () const
| Returns the current value of the Gtk::Widget::property_no_show_all() property, which determines whether calls to show_all() will affect this widget.
void | set_no_show_all (bool no_show_all=true)
| Sets the Gtk::Widget::property_no_show_all() property, which determines whether calls to show_all() will affect this widget.
void | set_parent (Widget& parent)
| This function is useful only when implementing subclasses of Gtk::Container.
void | unparent ()
| This function is only for use in widget implementations.
void | map ()
| This function is only for use in widget implementations.
void | unmap ()
| This function is only for use in widget implementations.
void | draw_insertion_cursor (const ::Cairo::RefPtr< ::Cairo::Context >& cr, const Gdk::Rectangle& location, bool is_primary, TextDirection direction, bool draw_arrow=true)
| Draws a text caret on cr at location.
void | set_tooltip_window (Window& widget)
| Replaces the default, usually yellow, window used for displaying tooltips with custom_window.
Window* | get_tooltip_window ()
| Returns the Gtk::Window of the current tooltip.
void | trigger_tooltip_query ()
| Triggers a tooltip query on the display where the toplevel of widget is located.
void | set_tooltip_text (const Glib::ustring& text)
| Sets text as the contents of the tooltip.
Glib::ustring | get_tooltip_text () const
| Gets the contents of the tooltip for widget.
void | set_tooltip_markup (const Glib::ustring& markup)
| Sets markup as the contents of the tooltip, which is marked up with the Pango text markup language.
Glib::ustring | get_tooltip_markup () const
| Gets the contents of the tooltip for widget.
void | set_has_tooltip (bool has_tooltip=TRUE)
| Sets the has-tooltip property on widget to has_tooltip.
bool | get_has_tooltip () const
| Returns the current value of the has-tooltip property.
int | get_width () const
int | get_height () const
bool | is_composited () const
| Whether widget can rely on having its alpha channel drawn correctly.
bool | in_destruction () const
| Returns whether the widget is currently being destroyed.
Glib::RefPtr< StyleContext > | get_style_context ()
| Returns the style context associated to widget.
Glib::RefPtr< Gtk::StyleContext > | get_style_context () const
| Returns the style context associated to widget.
Gdk::ModifierType | get_modifier_mask (Gdk::ModifierIntent intent)
| Returns the modifier mask the widget's windowing system backend uses for a particular purpose.
Glib::SignalProxy0< void > | signal_show ()
Glib::SignalProxy0< void > | signal_hide ()
Glib::SignalProxy0< void > | signal_map ()
| Emitted on mapping of a widget to the screen.
Glib::SignalProxy0< void > | signal_unmap ()
Glib::SignalProxy0< void > | signal_realize ()
| Emitted on realization of a widget.
Glib::SignalProxy0< void > | signal_unrealize ()
Glib::SignalProxy1< void, Allocation& > | signal_size_allocate ()
Glib::SignalProxy1< void, Gtk::StateType > | signal_state_changed ()
Glib::SignalProxy1< void, Gtk::StateFlags > | signal_state_flags_changed ()
Glib::SignalProxy1< void, Widget* > | signal_parent_changed ()
| Informs objects that their parent changed.
Glib::SignalProxy1< void, Widget* > | signal_hierarchy_changed ()
Glib::SignalProxy0< void > | signal_style_updated ()
Glib::SignalProxy1< void, TextDirection > | signal_direction_changed ()
Glib::SignalProxy1< void, bool > | signal_grab_notify ()
Glib::SignalProxy1< void, GParamSpec* > | signal_child_notify ()
Glib::SignalProxy1< bool, bool > | signal_mnemonic_activate ()
Glib::SignalProxy0< void > | signal_grab_focus ()
Glib::SignalProxy1< bool, DirectionType > | signal_focus ()
Glib::SignalProxy1< bool, GdkEvent* > | signal_event ()
Glib::SignalProxy1< void, GdkEvent* > | signal_event_after ()
Glib::SignalProxy1< bool, GdkEventButton* > | signal_button_press_event ()
| Event triggered by user pressing button.
Glib::SignalProxy1< bool, GdkEventButton* > | signal_button_release_event ()
| Event triggered by user releasing button.
Glib::SignalProxy1< bool, GdkEventScroll* > | signal_scroll_event ()
Glib::SignalProxy1< bool, GdkEventMotion* > | signal_motion_notify_event ()
| Event triggered by user moving pointer.
Glib::SignalProxy1< bool, GdkEventAny* > | signal_delete_event ()
Glib::SignalProxy1< bool, const ::Cairo::RefPtr < ::Cairo::Context >& > | signal_draw ()
Glib::SignalProxy1< bool, GdkEventKey* > | signal_key_press_event ()
| Event triggered by a key press will widget has focus.
Glib::SignalProxy1< bool, GdkEventKey* > | signal_key_release_event ()
| Event triggered by a key release will widget has focus.
Glib::SignalProxy1< bool, GdkEventCrossing* > | signal_enter_notify_event ()
| Event triggered by pointer entering widget area.
Glib::SignalProxy1< bool, GdkEventCrossing* > | signal_leave_notify_event ()
| Event triggered by pointer leaving widget area.
Glib::SignalProxy1< bool, GdkEventConfigure* > | signal_configure_event ()
| Event triggered by a window resizing.
Glib::SignalProxy1< bool, GdkEventFocus* > | signal_focus_in_event ()
Glib::SignalProxy1< bool, GdkEventFocus* > | signal_focus_out_event ()
Glib::SignalProxy1< bool, GdkEventAny* > | signal_map_event ()
Glib::SignalProxy1< bool, GdkEventAny* > | signal_unmap_event ()
Glib::SignalProxy1< bool, GdkEventProperty* > | signal_property_notify_event ()
Glib::SignalProxy1< bool, GdkEventSelection* > | signal_selection_clear_event ()
Glib::SignalProxy1< bool, GdkEventSelection* > | signal_selection_request_event ()
Glib::SignalProxy1< bool, GdkEventSelection* > | signal_selection_notify_event ()
Glib::SignalProxy1< bool, GdkEventProximity* > | signal_proximity_in_event ()
Glib::SignalProxy1< bool, GdkEventProximity* > | signal_proximity_out_event ()
Glib::SignalProxy1< bool, GdkEventVisibility* > | signal_visibility_notify_event ()
Glib::SignalProxy1< bool, GdkEventWindowState* > | signal_window_state_event ()
Glib::SignalProxy3< void, SelectionData&, guint, guint > | signal_selection_get ()
Glib::SignalProxy2< void, const SelectionData&, guint > | signal_selection_received ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::DragContext >& > | signal_drag_begin ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::DragContext >& > | signal_drag_end ()
Glib::SignalProxy4< void, const Glib::RefPtr < Gdk::DragContext > &, SelectionData&, guint, guint > | signal_drag_data_get ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::DragContext >& > | signal_drag_data_delete ()
Glib::SignalProxy2< bool, const Glib::RefPtr < Gdk::DragContext > &, DragResult > | signal_drag_failed ()
Glib::SignalProxy2< void, const Glib::RefPtr < Gdk::DragContext >&, guint > | signal_drag_leave ()
Glib::SignalProxy4< bool, const Glib::RefPtr < Gdk::DragContext >&, int, int, guint > | signal_drag_motion ()
Glib::SignalProxy4< bool, const Glib::RefPtr < Gdk::DragContext >&, int, int, guint > | signal_drag_drop ()
Glib::SignalProxy6< void, const Glib::RefPtr < Gdk::DragContext >&, int, int, const SelectionData &, guint, guint > | signal_drag_data_received ()
Glib::SignalProxy1< void, const Glib::RefPtr < Gdk::Screen >& > | signal_screen_changed ()
Glib::SignalProxy0< void > | signal_composited_changed ()
Glib::SignalProxy0< bool > | signal_popup_menu ()
Glib::SignalProxy4< bool, int, int, bool, const Glib::RefPtr < Tooltip >& > | signal_query_tooltip ()
Glib::SignalProxy1< bool, GdkEventGrabBroken* > | signal_grab_broken_event ()
Glib::SignalProxy1< bool, GdkEventExpose* > | signal_damage_event ()
Glib::SignalProxy1< bool, GdkEventTouch* > | signal_touch_event ()
Glib::PropertyProxy < Glib::ustring > | property_name ()
| The name of the widget.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_name () const
| The name of the widget.
Glib::PropertyProxy< Container* > | property_parent ()
| The parent widget of this widget.
Glib::PropertyProxy_ReadOnly < Container* > | property_parent () const
| The parent widget of this widget.
Glib::PropertyProxy< int > | property_width_request ()
| Override for width request of the widget, or -1 if natural request should be used.
Glib::PropertyProxy_ReadOnly< int > | property_width_request () const
| Override for width request of the widget, or -1 if natural request should be used.
Glib::PropertyProxy< int > | property_height_request ()
| Override for height request of the widget, or -1 if natural request should be used.
Glib::PropertyProxy_ReadOnly< int > | property_height_request () const
| Override for height request of the widget, or -1 if natural request should be used.
Glib::PropertyProxy< bool > | property_visible ()
| Whether the widget is visible.
Glib::PropertyProxy_ReadOnly < bool > | property_visible () const
| Whether the widget is visible.
Glib::PropertyProxy< bool > | property_sensitive ()
| Whether the widget responds to input.
Glib::PropertyProxy_ReadOnly < bool > | property_sensitive () const
| Whether the widget responds to input.
Glib::PropertyProxy< bool > | property_app_paintable ()
| Whether the application will paint directly on the widget.
Glib::PropertyProxy_ReadOnly < bool > | property_app_paintable () const
| Whether the application will paint directly on the widget.
Glib::PropertyProxy< bool > | property_can_focus ()
| Whether the widget can accept the input focus.
Glib::PropertyProxy_ReadOnly < bool > | property_can_focus () const
| Whether the widget can accept the input focus.
Glib::PropertyProxy< bool > | property_has_focus ()
| Whether the widget has the input focus.
Glib::PropertyProxy_ReadOnly < bool > | property_has_focus () const
| Whether the widget has the input focus.
Glib::PropertyProxy< bool > | property_is_focus ()
| Whether the widget is the focus widget within the toplevel.
Glib::PropertyProxy_ReadOnly < bool > | property_is_focus () const
| Whether the widget is the focus widget within the toplevel.
Glib::PropertyProxy< bool > | property_can_default ()
| Whether the widget can be the default widget.
Glib::PropertyProxy_ReadOnly < bool > | property_can_default () const
| Whether the widget can be the default widget.
Glib::PropertyProxy< bool > | property_has_default ()
| Whether the widget is the default widget.
Glib::PropertyProxy_ReadOnly < bool > | property_has_default () const
| Whether the widget is the default widget.
Glib::PropertyProxy< bool > | property_receives_default ()
| If TRUE, the widget will receive the default action when it is focused.
Glib::PropertyProxy_ReadOnly < bool > | property_receives_default () const
| If TRUE, the widget will receive the default action when it is focused.
Glib::PropertyProxy_ReadOnly < bool > | property_composite_child () const
| Whether the widget is part of a composite widget.
Glib::PropertyProxy < Glib::RefPtr< Style > > | property_style ()
| The style of the widget, which contains information about how it will look (colors etc).
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Style > > | property_style () const
| The style of the widget, which contains information about how it will look (colors etc).
Glib::PropertyProxy < Gdk::EventMask > | property_events ()
| The event mask that decides what kind of GdkEvents this widget gets.
Glib::PropertyProxy_ReadOnly < Gdk::EventMask > | property_events () const
| The event mask that decides what kind of GdkEvents this widget gets.
Glib::PropertyProxy< bool > | property_has_tooltip ()
| Whether this widget has a tooltip.
Glib::PropertyProxy_ReadOnly < bool > | property_has_tooltip () const
| Whether this widget has a tooltip.
Glib::PropertyProxy < Glib::ustring > | property_tooltip_markup ()
| The contents of the tooltip for this widget.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_tooltip_markup () const
| The contents of the tooltip for this widget.
Glib::PropertyProxy < Glib::ustring > | property_tooltip_text ()
| The contents of the tooltip for this widget.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_tooltip_text () const
| The contents of the tooltip for this widget.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gdk::Window > > | property_window () const
| The widget's window if it is realized.
Glib::PropertyProxy< bool > | property_no_show_all ()
| Whether gtk_widget_show_all() should not affect this widget.
Glib::PropertyProxy_ReadOnly < bool > | property_no_show_all () const
| Whether gtk_widget_show_all() should not affect this widget.
Glib::PropertyProxy< bool > | property_double_buffered ()
| Whether the widget is double buffered.
Glib::PropertyProxy_ReadOnly < bool > | property_double_buffered () const
| Whether the widget is double buffered.
Glib::PropertyProxy< Align > | property_halign ()
| How to position in extra horizontal space.
Glib::PropertyProxy_ReadOnly < Align > | property_halign () const
| How to position in extra horizontal space.
Glib::PropertyProxy< Align > | property_valign ()
| How to position in extra vertical space.
Glib::PropertyProxy_ReadOnly < Align > | property_valign () const
| How to position in extra vertical space.
Glib::PropertyProxy< int > | property_margin_left ()
| Pixels of extra space on the left side.
Glib::PropertyProxy_ReadOnly< int > | property_margin_left () const
| Pixels of extra space on the left side.
Glib::PropertyProxy< int > | property_margin_right ()
| Pixels of extra space on the right side.
Glib::PropertyProxy_ReadOnly< int > | property_margin_right () const
| Pixels of extra space on the right side.
Glib::PropertyProxy< int > | property_margin_top ()
| Pixels of extra space on the top side.
Glib::PropertyProxy_ReadOnly< int > | property_margin_top () const
| Pixels of extra space on the top side.
Glib::PropertyProxy< int > | property_margin_bottom ()
| Pixels of extra space on the bottom side.
Glib::PropertyProxy_ReadOnly< int > | property_margin_bottom () const
| Pixels of extra space on the bottom side.
Glib::PropertyProxy< bool > | property_hexpand ()
| Whether widget wants more horizontal space.
Glib::PropertyProxy_ReadOnly < bool > | property_hexpand () const
| Whether widget wants more horizontal space.
Glib::PropertyProxy< bool > | property_hexpand_set ()
| Whether to use the hexpand property.
Glib::PropertyProxy_ReadOnly < bool > | property_hexpand_set () const
| Whether to use the hexpand property.
Glib::PropertyProxy< bool > | property_vexpand ()
| Whether widget wants more vertical space.
Glib::PropertyProxy_ReadOnly < bool > | property_vexpand () const
| Whether widget wants more vertical space.
Glib::PropertyProxy< bool > | property_vexpand_set ()
| Whether to use the vexpand property.
Glib::PropertyProxy_ReadOnly < bool > | property_vexpand_set () const
| Whether to use the vexpand property.
Glib::PropertyProxy< bool > | property_expand ()
| Whether widget wants to expand in both directions.
Glib::PropertyProxy_ReadOnly < bool > | property_expand () const
| Whether widget wants to expand in both directions.
Public Member Functions inherited from Gtk::Object
virtual | ~Object ()
Public Member Functions inherited from Glib::Object
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj_copy () const
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Gtk::Buildable
virtual | ~Buildable ()
Public Member Functions inherited from Glib::Interface
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
virtual | ~Interface ()
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj_copy () const
Public Member Functions inherited from Gtk::CellLayout
virtual | ~CellLayout ()
template<class ColumnType >
void | pack_start (const TreeModelColumn< ColumnType >& model_column, bool expand=true)
void | pack_start (CellRenderer& cell, bool expand=true)
| Packs the cell into the beginning of cell_layout.
void | pack_end (CellRenderer& cell, bool expand=true)
| Adds the cell to the end of cell_layout.
std::vector< CellRenderer* > | get_cells ()
| Return value: a list of cell renderers.
std::vector< const CellRenderer* > | get_cells () const
| Return value: a list of cell renderers.
CellRenderer* | get_first_cell ()
| Gets the CellRenderer for the column.
const CellRenderer* | get_first_cell () const
| Gets the CellRenderer for the column.
void | clear ()
| Unsets all the mappings on all renderers on cell_layout and removes all renderers from cell_layout.
void | add_attribute (CellRenderer& cell, const Glib::ustring& attribute, int column)
| Adds an attribute mapping to the list in cell_layout.
void | add_attribute (const Glib::PropertyProxy_Base& property, const TreeModelColumnBase& column)
void | add_attribute (CellRenderer& cell, const Glib::ustring& attribute, const TreeModelColumnBase& column)
void | set_cell_data_func (CellRenderer& cell, const SlotCellData& slot)
void | clear_attributes (CellRenderer& cell)
| Clears all existing attributes previously set with set_attributes().
void | reorder (CellRenderer& cell, int position)
| Re-inserts cell at position.
Glib::RefPtr< CellArea > | get_area ()
| Returns the underlying Gtk::CellArea which might be cell_layout if called on a Gtk::CellArea or might be `0` if no Gtk::CellArea is used by cell_layout.
Glib::RefPtr< const CellArea > | get_area () const
| Returns the underlying Gtk::CellArea which might be cell_layout if called on a Gtk::CellArea or might be `0` if no Gtk::CellArea is used by cell_layout.
template<class T_ModelColumnType >
void | pack_start (const TreeModelColumn< T_ModelColumnType >& column, bool expand)
Public Member Functions inherited from Gtk::Scrollable
virtual | ~Scrollable ()
Glib::RefPtr< Adjustment > | get_hadjustment ()
| Retrieves the Gtk::Adjustment used for horizontal scrolling.
Glib::RefPtr< const Adjustment > | get_hadjustment () const
| Retrieves the Gtk::Adjustment used for horizontal scrolling.
void | set_hadjustment (const Glib::RefPtr< Adjustment >& hadjustment)
| Sets the horizontal adjustment of the Gtk::Scrollable.
void | unset_hadjustment ()
| This method removes the hadjustment.
Glib::RefPtr< Adjustment > | get_vadjustment ()
| Retrieves the Gtk::Adjustment used for vertical scrolling.
Glib::RefPtr< const Adjustment > | get_vadjustment () const
| Retrieves the Gtk::Adjustment used for vertical scrolling.
void | set_vadjustment (const Glib::RefPtr< Adjustment >& hadjustment)
| Sets the vertical adjustment of the Gtk::Scrollable.
void | unset_vadjustment ()
| This method removes the vadjustment.
ScrollablePolicy | get_hscroll_policy () const
| Gets the horizontal Gtk::ScrollablePolicy.
void | set_hscroll_policy (ScrollablePolicy policy)
| Sets the Gtk::ScrollablePolicy to determine whether horizontal scrolling should start below the minimum width or below the natural width.
ScrollablePolicy | get_vscroll_policy () const
| Gets the vertical Gtk::ScrollablePolicy.
void | set_vscroll_policy (ScrollablePolicy policy)
| Sets the Gtk::ScrollablePolicy to determine whether vertical scrolling should start below the minimum height or below the natural height.
Glib::PropertyProxy < Glib::RefPtr< Adjustment > > | property_hadjustment ()
| Horizontal adjustment that is shared between the scrollable widget and its controller.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Adjustment > > | property_hadjustment () const
| Horizontal adjustment that is shared between the scrollable widget and its controller.
Glib::PropertyProxy < Glib::RefPtr< Adjustment > > | property_vadjustment ()
| Vertical adjustment that is shared between the scrollable widget and its controller.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Adjustment > > | property_vadjustment () const
| Vertical adjustment that is shared between the scrollable widget and its controller.
Glib::PropertyProxy < ScrollablePolicy > | property_hscroll_policy ()
| How the size of the content should be determined.
Glib::PropertyProxy_ReadOnly < ScrollablePolicy > | property_hscroll_policy () const
| How the size of the content should be determined.
Glib::PropertyProxy < ScrollablePolicy > | property_vscroll_policy ()
| How the size of the content should be determined.
Glib::PropertyProxy_ReadOnly < ScrollablePolicy > | property_vscroll_policy () const
| How the size of the content should be determined.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Gtk::CellLayout
static void | add_interface (GType gtype_implementer)
Static Public Member Functions inherited from Gtk::Scrollable
static void | add_interface (GType gtype_implementer)

## Protected Member Functions
virtual void | on_item_activated (const TreeModel::Path& path)
| This is a default handler for the signal signal_item_activated().
virtual void | on_selection_changed ()
| This is a default handler for the signal signal_selection_changed().
Protected Member Functions inherited from Gtk::Container
virtual void | on_add (Widget* widget)
| This is a default handler for the signal signal_add().
virtual void | on_remove (Widget* widget)
| This is a default handler for the signal signal_remove().
virtual void | on_check_resize ()
| This is a default handler for the signal signal_check_resize().
virtual void | on_set_focus_child (Widget* widget)
| This is a default handler for the signal signal_set_focus_child().
| Container ()
virtual GType | child_type_vfunc () const
| Implements child_type().
virtual void | forall_vfunc (gboolean include_internals, GtkCallback callback, gpointer callback_data)
| Invokes a callback on all children of the container.
virtual char* | composite_name_vfunc (GtkWidget* child)
| Returns the composite name of a child widget.
virtual void | set_child_property_vfunc (GtkWidget* child, guint property_id, const GValue* value, GParamSpec* pspec)
| Sets a child property for this container and its child.
virtual void | get_child_property_vfunc (GtkWidget* child, guint property_id, GValue* value, GParamSpec* pspec) const
| Returns a child property for this container and its child.
Glib::PropertyProxy< guint > | property_border_width ()
| The width of the empty border outside the containers children.
Glib::PropertyProxy_ReadOnly < guint > | property_border_width () const
| The width of the empty border outside the containers children.
Glib::PropertyProxy< ResizeMode > | property_resize_mode ()
| Specify how resize events are handled.
Glib::PropertyProxy_ReadOnly < ResizeMode > | property_resize_mode () const
| Specify how resize events are handled.
Glib::PropertyProxy_WriteOnly < Widget* > | property_child ()
| Can be used to add a new child to the container.
Protected Member Functions inherited from Gtk::Widget
virtual void | on_show ()
| This is a default handler for the signal signal_show().
virtual void | on_hide ()
| This is a default handler for the signal signal_hide().
virtual void | on_map ()
| This is a default handler for the signal signal_map().
virtual void | on_unmap ()
| This is a default handler for the signal signal_unmap().
virtual void | on_realize ()
| This is a default handler for the signal signal_realize().
virtual void | on_unrealize ()
| This is a default handler for the signal signal_unrealize().
virtual void | on_size_allocate (Allocation& allocation)
| This is a default handler for the signal signal_size_allocate().
virtual void | on_state_changed (Gtk::StateType previous_state)
| This is a default handler for the signal signal_state_changed().
virtual void | on_parent_changed (Widget* previous_parent)
| This is a default handler for the signal signal_parent_changed().
virtual void | on_hierarchy_changed (Widget* previous_toplevel)
| This is a default handler for the signal signal_hierarchy_changed().
virtual void | on_style_updated ()
| This is a default handler for the signal signal_style_updated().
virtual void | on_direction_changed (TextDirection direction)
| This is a default handler for the signal signal_direction_changed().
virtual void | on_grab_notify (bool was_grabbed)
| This is a default handler for the signal signal_grab_notify().
virtual void | on_child_notify (GParamSpec* pspec)
| This is a default handler for the signal signal_child_notify().
virtual bool | on_mnemonic_activate (bool group_cycling)
| This is a default handler for the signal signal_mnemonic_activate().
virtual void | on_grab_focus ()
| This is a default handler for the signal signal_grab_focus().
virtual bool | on_focus (DirectionType direction)
| This is a default handler for the signal signal_focus().
virtual bool | on_event (GdkEvent*event)
| This is a default handler for the signal signal_event().
virtual bool | on_button_press_event (GdkEventButton*event)
| This is a default handler for the signal signal_button_press_event().
virtual bool | on_button_release_event (GdkEventButton*event)
| This is a default handler for the signal signal_button_release_event().
virtual bool | on_scroll_event (GdkEventScroll*event)
| This is a default handler for the signal signal_scroll_event().
virtual bool | on_motion_notify_event (GdkEventMotion*event)
| This is a default handler for the signal signal_motion_notify_event().
virtual bool | on_delete_event (GdkEventAny*event)
| This is a default handler for the signal signal_delete_event().
virtual bool | on_draw (const ::Cairo::RefPtr< ::Cairo::Context >& cr)
| This is a default handler for the signal signal_draw().
virtual bool | on_key_press_event (GdkEventKey*event)
| This is a default handler for the signal signal_key_press_event().
virtual bool | on_key_release_event (GdkEventKey*event)
| This is a default handler for the signal signal_key_release_event().
virtual bool | on_enter_notify_event (GdkEventCrossing*event)
| This is a default handler for the signal signal_enter_notify_event().
virtual bool | on_leave_notify_event (GdkEventCrossing*event)
| This is a default handler for the signal signal_leave_notify_event().
virtual bool | on_configure_event (GdkEventConfigure*event)
| This is a default handler for the signal signal_configure_event().
virtual bool | on_focus_in_event (GdkEventFocus*event)
| This is a default handler for the signal signal_focus_in_event().
virtual bool | on_focus_out_event (GdkEventFocus*event)
| This is a default handler for the signal signal_focus_out_event().
virtual bool | on_map_event (GdkEventAny*event)
| This is a default handler for the signal signal_map_event().
virtual bool | on_unmap_event (GdkEventAny*event)
| This is a default handler for the signal signal_unmap_event().
virtual bool | on_property_notify_event (GdkEventProperty*event)
| This is a default handler for the signal signal_property_notify_event().
virtual bool | on_selection_clear_event (GdkEventSelection*event)
| This is a default handler for the signal signal_selection_clear_event().
virtual bool | on_selection_request_event (GdkEventSelection*event)
| This is a default handler for the signal signal_selection_request_event().
virtual bool | on_selection_notify_event (GdkEventSelection*event)
| This is a default handler for the signal signal_selection_notify_event().
virtual bool | on_proximity_in_event (GdkEventProximity*event)
| This is a default handler for the signal signal_proximity_in_event().
virtual bool | on_proximity_out_event (GdkEventProximity*event)
| This is a default handler for the signal signal_proximity_out_event().
virtual bool | on_visibility_notify_event (GdkEventVisibility*event)
| This is a default handler for the signal signal_visibility_notify_event().
virtual bool | on_window_state_event (GdkEventWindowState*event)
| This is a default handler for the signal signal_window_state_event().
virtual void | on_selection_get (SelectionData& selection_data, guint info, guint time)
| This is a default handler for the signal signal_selection_get().
virtual void | on_selection_received (const SelectionData& selection_data, guint time)
| This is a default handler for the signal signal_selection_received().
virtual void | on_drag_begin (const Glib::RefPtr< Gdk::DragContext >& context)
| This is a default handler for the signal signal_drag_begin().
virtual void | on_drag_end (const Glib::RefPtr< Gdk::DragContext >& context)
| This is a default handler for the signal signal_drag_end().
virtual void | on_drag_data_get (const Glib::RefPtr< Gdk::DragContext >& context, SelectionData& selection_data, guint info, guint time)
| This is a default handler for the signal signal_drag_data_get().
virtual void | on_drag_data_delete (const Glib::RefPtr< Gdk::DragContext >& context)
| This is a default handler for the signal signal_drag_data_delete().
virtual void | on_drag_leave (const Glib::RefPtr< Gdk::DragContext >& context, guint time)
| This is a default handler for the signal signal_drag_leave().
virtual bool | on_drag_motion (const Glib::RefPtr< Gdk::DragContext >& context, int x, int y, guint time)
| This is a default handler for the signal signal_drag_motion().
virtual bool | on_drag_drop (const Glib::RefPtr< Gdk::DragContext >& context, int x, int y, guint time)
| This is a default handler for the signal signal_drag_drop().
virtual void | on_drag_data_received (const Glib::RefPtr< Gdk::DragContext >& context, int x, int y, const SelectionData& selection_data, guint info, guint time)
| This is a default handler for the signal signal_drag_data_received().
virtual void | on_screen_changed (const Glib::RefPtr< Gdk::Screen >& previous_screen)
| This is a default handler for the signal signal_screen_changed().
virtual void | dispatch_child_properties_changed_vfunc (guint p1, GParamSpec** p2)
virtual void | show_all_vfunc ()
virtual Glib::RefPtr< Atk::Object > | get_accessible_vfunc ()
virtual SizeRequestMode | get_request_mode_vfunc () const
virtual void | get_preferred_width_vfunc (int& minimum_width, int& natural_width) const
virtual void | get_preferred_height_for_width_vfunc (int width, int& minimum_height, int& natural_height) const
virtual void | get_preferred_height_vfunc (int& minimum_height, int& natural_height) const
virtual void | get_preferred_width_for_height_vfunc (int height, int& minimum_width, int& natural_width) const
| Widget ()
void | realize ()
| Creates the GDK (windowing system) resources associated with a widget.
void | unrealize ()
| This function is only useful in widget implementations.
void | draw (const ::Cairo::RefPtr< ::Cairo::Context >& cr)
| Draws widget to cr.
void | set_mapped (bool mapped=true)
| Marks the widget as being realized.
void | set_realized (bool realized=true)
| Marks the widget as being realized.
void | set_has_window (bool has_window=true)
| Specifies whether widget has a Gdk::Window of its own.
void | set_window (const Glib::RefPtr< Gdk::Window >& window)
| Sets a widget's window.
void | transform_cairo_context_to_window (const ::Cairo::RefPtr< ::Cairo::Context >& cr, const Glib::RefPtr< const Gdk::Window >& window)
| Transforms the given cairo context cr from widget-relative coordinates to window-relative coordinates.
Requisition | get_requisition () const
| Retrieves the widget's requisition.
void | get_style_property_value (const Glib::ustring& the_property_name, Glib::ValueBase& value) const
| Gets the value of a style property of widget.
void | realize_if_needed ()
void | insert_action_group (const Glib::ustring& name, const Glib::RefPtr< Gio::ActionGroup >& group)
| Inserts group into widget.
Protected Member Functions inherited from Gtk::Buildable
| Buildable ()
| You should derive from this class to use it.
Protected Member Functions inherited from Glib::Interface
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject *castitem)
Protected Member Functions inherited from Gtk::CellLayout
| CellLayout ()
| You should derive from this class to use it.
virtual void | pack_start_vfunc (CellRenderer* cell, bool expand)
virtual void | pack_end_vfunc (CellRenderer* cell, bool expand)
virtual void | clear_vfunc ()
virtual void | add_attribute_vfunc (CellRenderer* cell, const Glib::ustring& attribute, int column)
virtual void | clear_attributes_vfunc (CellRenderer* cell)
virtual void | reorder_vfunc (CellRenderer* cell, int position)
Protected Member Functions inherited from Gtk::Scrollable
| Scrollable ()
| You should derive from this class to use it.

## Related Functions
(Note that these are not member functions.)
Gtk::IconView* | wrap (GtkIconView* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Container
Gtk::Container* | wrap (GtkContainer* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Widget
Gtk::Widget* | wrap (GtkWidget* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Buildable
Glib::RefPtr< Gtk::Buildable > | wrap (GtkBuildable* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::CellLayout
Glib::RefPtr< Gtk::CellLayout > | wrap (GtkCellLayout* object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Functions inherited from Gtk::Scrollable
Glib::RefPtr< Gtk::Scrollable > | wrap (GtkScrollable* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The IconView provides an alternative view of a list model.

It displays the model as a grid of icons with labels. Like the TreeView, it allows the user to select one or multiple items (depending on the selection mode - see set_selection_mode()). In addition to selection with the arrow keys, the IconView supports rubberband selection, by dragging the pointer.

## Member Typedef Documentation

typedef sigc::slot<void, const TreeModel::Path&> Gtk::IconView::SlotForeach

For instance, void on_foreach(const Gtk::TreeModel::Path& path);.

## Constructor & Destructor Documentation

virtual Gtk::IconView::~IconView | ( |  | ) |
| virtual

Gtk::IconView::IconView | ( |  | ) |

Gtk::IconView::IconView | ( | const Glib::RefPtr< TreeModel >& | model | ) |
| explicit

Gtk::IconView::IconView | ( | const Glib::RefPtr< CellArea >& | cell_area | ) |
| explicit

## Member Function Documentation

void Gtk::IconView::convert_widget_to_bin_window_coords | ( | int | wx,
|  | int | wy,
|  | int & | bx,
|  | int & | by
| ) |  | const

Converts widget coordinates to coordinates for the bin_window, as expected by e.g. get_path_at_pos().

Since gtkmm 2.12:

Parameters:

  wx | X coordinate relative to the widget.
  wy | Y coordinate relative to the widget.
  bx | Return location for bin_window X coordinate.
  by | Return location for bin_window Y coordinate.

Cairo::RefPtr<Cairo::Surface> Gtk::IconView::create_drag_icon | ( | const TreeModel::Path& | path | ) |

Creates a #cairo_surface_t representation of the item at path.

This image is used for a drag icon.

Since gtkmm 2.8:

Parameters:

  path | A Gtk::TreePath in icon_view.

Returns:
  A newly-allocated surface of the drag icon.

void Gtk::IconView::enable_model_drag_dest | ( | const std::vector< TargetEntry >& | targets,
|  | Gdk::DragAction | actions = `Gdk::ACTION_COPY|Gdk::ACTION_MOVE`
| ) |  |

Turns the IconView into a drop destination for automatic DND.

Parameters:

  targets | The table of targets that the drag will support.
  actions | The bitmask of possible actions for a drag from this widget.

void Gtk::IconView::enable_model_drag_source | ( | const std::vector< TargetEntry >& | targets,
|  | Gdk::ModifierType | start_button_mask = `Gdk::MODIFIER_MASK`,
|  | Gdk::DragAction | actions = `Gdk::ACTION_COPY|Gdk::ACTION_MOVE`
| ) |  |

Turns the IconView into a drag source for automatic DND.

Parameters:

  targets | Standard container of targets that the drag will support.
  start_button_mask | Mask of allowed buttons to start drag.
  actions | The bitmask of possible actions for a drag from this widget.

int Gtk::IconView::get_column_spacing | ( |  | ) | const

Returns the value of the property_column_spacing() property.

Since gtkmm 2.6:

Returns:
  The space between columns.

int Gtk::IconView::get_columns | ( |  | ) | const

Returns the value of the property_columns() property.

Since gtkmm 2.6:

Returns:
  The number of columns, or -1.

bool Gtk::IconView::get_cursor | ( | TreeModel::Path& | path,
|  | CellRenderer*& | cell
| ) |  | const

Fills in path and cell with the current cursor path and cell.

If the cursor isn't currently set, then path will be empty. If no cell currently has focus, then cell will be NULL.

Parameters:

  path | The current cursor path.
  cell | The current focus cell.

Returns:
  true if the cursor is set.

Since gtkmm 2.8:

bool Gtk::IconView::get_cursor | ( | TreeModel::Path& | path | ) | const

Fills in path and cell with the current cursor path and cell.

If the cursor isn't currently set, then path will be empty. If no cell currently has focus, then cell will be NULL.

Parameters:

  path | The current cursor path.

Returns:
  true if the cursor is set.

Since gtkmm 2.8:

bool Gtk::IconView::get_cursor | ( | CellRenderer*& | cell | ) | const

Fills in path and cell with the current cursor path and cell.

If the cursor isn't currently set, then path will be empty. If no cell currently has focus, then cell will be NULL.

Parameters:

  cell | The current focus cell.

Returns:
  true if the cursor is set.

Since gtkmm 2.8:

bool Gtk::IconView::get_dest_item_at_pos | ( | int | drag_x,
|  | int | drag_y,
|  | TreeModel::Path& | path,
|  | IconViewDropPosition& | pos
| ) |  | const

Determines the destination item for a given position.

Parameters:

  drag_x | The position to determine the destination item for.
  drag_y | the position to determine the destination item for.
  path | The path of the item.
  pos,: | The drop position.

Returns:
  whether there is an item at the given position.

Since gtkmm 2.10:

bool Gtk::IconView::get_dest_item_at_pos | ( | int | drag_x,
|  | int | drag_y,
|  | TreeModel::Path& | path
| ) |  | const

Determines the destination item for a given position.

Parameters:

  drag_x | The position to determine the destination item for.
  drag_y | the position to determine the destination item for.
  path | The path of the item.

Returns:
  whether there is an item at the given position.

Since gtkmm 2.10:

bool Gtk::IconView::get_dest_item_at_pos | ( | int | drag_x,
|  | int | drag_y,
|  | IconViewDropPosition& | pos
| ) |  | const

Determines the destination item for a given position.

Parameters:

  drag_x | The position to determine the destination item for.
  drag_y | the position to determine the destination item for.
  pos,: | The drop position.

Returns:
  whether there is an item at the given position.

Since gtkmm 2.10:

void Gtk::IconView::get_drag_dest_item | ( | TreeModel::Path& | path,
|  | IconViewDropPosition& | pos
| ) |  | const

Gets information about the item that is highlighted for feedback.

Parameters:

  path | The highlighted item. The drop position.

Since gtkmm 2.10:

void Gtk::IconView::get_drag_dest_item | ( | TreeModel::Path& | path | ) | const

Gets information about the item that is highlighted for feedback.

Parameters:

  path | The highlighted item.

Since gtkmm 2.10:

void Gtk::IconView::get_drag_dest_item | ( | IconViewDropPosition& | pos | ) | const

Gets information about the item that is highlighted for feedback.

The drop position.

Since gtkmm 2.10:

int Gtk::IconView::get_icon_width | ( |  | ) | const

Returns the value of the property_item_width() property.

Since gtkmm 2.6:

Returns:
  The width of a single item, or -1.

bool Gtk::IconView::get_item_at_pos | ( | int | x,
|  | int | y,
|  | TreeModel::Path& | path,
|  | CellRenderer*& | cell
| ) |  | const

Finds the path at the point (x, y), relative to widget coordinates.

Parameters:

  x | The x position to be identified.
  y | The y position to be identified.
  path | The path.
  cell | The renderer responsible for the cell at (x, y).

Returns:
  true if an item exists at the specified position.

Since gtkmm 2.6:

bool Gtk::IconView::get_item_at_pos | ( | int | x,
|  | int | y,
|  | TreeModel::Path& | path
| ) |  | const

Finds the path at the point (x, y), relative to widget coordinates.

Parameters:

  x | The x position to be identified.
  y | The y position to be identified.
  path | The path.

Returns:
  true if an item exists at the specified position.

Since gtkmm 2.6:

bool Gtk::IconView::get_item_at_pos | ( | int | x,
|  | int | y,
|  | CellRenderer*& | cell
| ) |  | const

Finds the path at the point (x, y), relative to widget coordinates.

Parameters:

  x | The x position to be identified.
  y | The y position to be identified.
  path | The path.

Returns:
  true if an item exists at the specified position.

Since gtkmm 2.6:

int Gtk::IconView::get_item_column | ( | const TreeModel::Path& | path | ) | const

Gets the column in which the item path is currently displayed.

Column numbers start at 0.

    \xrefitem since_2_22 40. @param path The Gtk::TreePath of the item.
    @return The column in which the item is displayed.

Orientation Gtk::IconView::get_item_orientation | ( |  | ) | const

Returns the value of the property_item_orientation() property which determines whether the labels are drawn beside the icons instead of below.

Since gtkmm 2.6:

Returns:
  The relative position of texts and icons.

int Gtk::IconView::get_item_padding | ( |  | ) | const

Returns the value of the property_item_padding() property.

Since gtkmm 2.18:

Returns:
  The padding around items.

int Gtk::IconView::get_item_row | ( | const TreeModel::Path& | path | ) | const

Gets the row in which the item path is currently displayed.

Row numbers start at 0.

    \xrefitem since_2_22 39. @param path The Gtk::TreePath of the item.
    @return The row in which the item is displayed.

int Gtk::IconView::get_margin | ( |  | ) | const

Returns the value of the property_margin() property.

Since gtkmm 2.6:

Returns:
  The space at the borders.

int Gtk::IconView::get_markup_column | ( |  | ) | const

Returns the column with markup text for icon_view.

Since gtkmm 2.6:

Returns:
  The markup column, or -1 if it's unset.

Glib::RefPtr<TreeModel> Gtk::IconView::get_model | ( |  | ) |

Returns the model the Gtk::IconView is based on.

Returns `0` if the model is unset.

Since gtkmm 2.6:

Returns:
  A Gtk::TreeModel, or `0` if none is currently being used.

Glib::RefPtr<const TreeModel> Gtk::IconView::get_model | ( |  | ) | const

Returns the model the Gtk::IconView is based on.

Returns `0` if the model is unset.

Since gtkmm 2.6:

Returns:
  A Gtk::TreeModel, or `0` if none is currently being used.

TreeModel::Path Gtk::IconView::get_path_at_pos | ( | int | x,
|  | int | y
| ) |  | const

Finds the path at the point ( x, y), relative to bin_window coordinates.

See get_item_at_pos(), if you are also interested in the cell at the specified position. See convert_widget_to_bin_window_coords() for converting widget coordinates to bin_window coordinates.

Since gtkmm 2.6:

Parameters:

  x | The x position to be identified.
  y | The y position to be identified.

Returns:
  The Gtk::TreePath corresponding to the icon or `0` if no icon exists at that position.

int Gtk::IconView::get_pixbuf_column | ( |  | ) | const

Returns the column with pixbufs for icon_view.

Since gtkmm 2.6:

Returns:
  The pixbuf column, or -1 if it's unset.

bool Gtk::IconView::get_reorderable | ( |  | ) | const

Retrieves whether the user can reorder the list via drag-and-drop.

See set_reorderable().

Since gtkmm 2.8:

Returns:
  `true` if the list can be reordered.

gint Gtk::IconView::get_row_spacing | ( |  | ) | const

Returns the value of the property_row_spacing() property.

Since gtkmm 2.6:

Returns:
  The space between rows.

std::vector<TreePath> Gtk::IconView::get_selected_items | ( |  | ) | const

Creates a list of paths of all selected items.

Additionally, if you are planning on modifying the model after calling this function, you may want to convert the returned list into a list of Gtk::TreeRowReferences. To do this, you can use Gtk::TreeRowReference::new().

To free the return value, use:

[C example ellipted]

Since gtkmm 2.6:

Returns:
  A List containing a Gtk::TreePath for each selected row.

SelectionMode Gtk::IconView::get_selection_mode | ( |  | ) | const

Gets the selection mode of the icon_view.

Since gtkmm 2.6:

Returns:
  The current selection mode.

int Gtk::IconView::get_spacing | ( |  | ) | const

Returns the value of the property_spacing() property.

Since gtkmm 2.6:

Returns:
  The space between cells.

int Gtk::IconView::get_text_column | ( |  | ) | const

Returns the column with text for icon_view.

Since gtkmm 2.6:

Returns:
  The text column, or -1 if it's unset.

int Gtk::IconView::get_tooltip_column | ( |  | ) | const

Returns the column of icon_view's model which is being used for displaying tooltips on icon_view's rows.

Since gtkmm 2.12:

Returns:
  The index of the tooltip column that is currently being used, or -1 if this is disabled.

bool Gtk::IconView::get_tooltip_context_iter | ( | int & | x,
|  | int & | y,
|  | bool | keyboard_tip,
|  | Gtk::TreeModel::iterator& | iter
| ) |  |

Parameters:

  x,: | the x coordinate (relative to widget coordinates)
  y,: | the y coordinate (relative to widget coordinates)
  keyboard_tip,: | whether this is a keyboard tooltip or not
  iter,: | a pointer to receive a Gtk::TreeIter

This function is supposed to be used in a Gtk::Widget::query-tooltip signal handler for Gtk::IconView. The x, y and keyboard_tip values which are received in the signal handler, should be passed to this function without modification.

The return value indicates whether there is an icon view item at the given coordinates (true) or not (false) for mouse tooltips. For keyboard tooltips the item returned will be the cursor item. When true, then the iter which has been provided will be set to point to that row and the corresponding model. x and y will always be converted to be relative to IconView's bin_window if keyboard_tooltip is false.

Return value: whether or not the given tooltip context points to a item.

Since gtkmm 2.12:

bool Gtk::IconView::get_tooltip_context_path | ( | int & | x,
|  | int & | y,
|  | bool | keyboard_tip,
|  | TreeModel::Path& | path
| ) |  |

Parameters:

  x,: | the x coordinate (relative to widget coordinates)
  y,: | the y coordinate (relative to widget coordinates)
  keyboard_tip,: | whether this is a keyboard tooltip or not
  path,: | a reference to receive a Gtk::TreePath

This function is supposed to be used in a Gtk::Widget::query-tooltip signal handler for Gtk::IconView. The x, y and keyboard_tip values which are received in the signal handler, should be passed to this function without modification.

The return value indicates whether there is an icon view item at the given coordinates (true) or not (false) for mouse tooltips. For keyboard tooltips the item returned will be the cursor item. When true, then the path which has been provided will be set to point to that row and the corresponding model. x and y will always be converted to be relative to IconView's bin_window if keyboard_tooltip is false.

Return value: whether or not the given tooltip context points to a item.

Since gtkmm 2.12:

static GType Gtk::IconView::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gtk::CellLayout.

bool Gtk::IconView::get_visible_range | ( | TreeModel::Path& | start_path,
|  | TreeModel::Path& | end_path
| ) |  | const

GtkIconView* Gtk::IconView::gobj | ( |  | ) |
| inline

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellLayout.

const GtkIconView* Gtk::IconView::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GtkObject.

Reimplemented from Gtk::CellLayout.

void Gtk::IconView::item_activated | ( | const TreeModel::Path& | path | ) |

Activates the item determined by path.

Since gtkmm 2.6:

Parameters:

  path | The Gtk::TreePath to be activated.

virtual void Gtk::IconView::on_item_activated | ( | const TreeModel::Path& | path | ) |
| protected virtual

This is a default handler for the signal signal_item_activated().

virtual void Gtk::IconView::on_selection_changed | ( |  | ) |
| protected virtual

This is a default handler for the signal signal_selection_changed().

bool Gtk::IconView::path_is_selected | ( | const TreeModel::Path& | path | ) | const

Returns `true` if the icon pointed to by path is currently selected.

If path does not point to a valid location, `false` is returned.

    \xrefitem since_2_6 111. @param path A Gtk::TreePath to check selection on.
    @return <tt>true</tt> if @a path is selected.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<CellArea> > Gtk::IconView::property_cell_area | ( |  | ) | const

The GtkCellArea used to layout cells.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::IconView::property_column_spacing | ( |  | ) |

Space which is inserted between grid columns.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_column_spacing | ( |  | ) | const

Space which is inserted between grid columns.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::IconView::property_columns | ( |  | ) |

Number of columns to display.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_columns | ( |  | ) | const

Number of columns to display.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Orientation > Gtk::IconView::property_item_orientation | ( |  | ) |

How the text and icon of each item are positioned relative to each other.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Orientation > Gtk::IconView::property_item_orientation | ( |  | ) | const

How the text and icon of each item are positioned relative to each other.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::IconView::property_item_padding | ( |  | ) |

Padding around icon view items.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_item_padding | ( |  | ) | const

Padding around icon view items.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::IconView::property_item_width | ( |  | ) |

The width used for each item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_item_width | ( |  | ) | const

The width used for each item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::IconView::property_margin | ( |  | ) |

Space which is inserted at the edges of the icon view.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Gtk::Widget.

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_margin | ( |  | ) | const

Space which is inserted at the edges of the icon view.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Reimplemented from Gtk::Widget.

Glib::PropertyProxy< int > Gtk::IconView::property_markup_column | ( |  | ) |

Model column used to retrieve the text if using Pango markup.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_markup_column | ( |  | ) | const

Model column used to retrieve the text if using Pango markup.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<TreeModel> > Gtk::IconView::property_model | ( |  | ) |

The model for the icon view.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<TreeModel> > Gtk::IconView::property_model | ( |  | ) | const

The model for the icon view.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::IconView::property_pixbuf_column | ( |  | ) |

Model column used to retrieve the icon pixbuf from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_pixbuf_column | ( |  | ) | const

Model column used to retrieve the icon pixbuf from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::IconView::property_reorderable | ( |  | ) |

View is reorderable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_reorderable | ( |  | ) | const

View is reorderable.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::IconView::property_row_spacing | ( |  | ) |

Space which is inserted between grid rows.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_row_spacing | ( |  | ) | const

Space which is inserted between grid rows.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< SelectionMode > Gtk::IconView::property_selection_mode | ( |  | ) |

The selection mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< SelectionMode > Gtk::IconView::property_selection_mode | ( |  | ) | const

The selection mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::IconView::property_spacing | ( |  | ) |

Space which is inserted between cells of an item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_spacing | ( |  | ) | const

Space which is inserted between cells of an item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::IconView::property_text_column | ( |  | ) |

Model column used to retrieve the text from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_text_column | ( |  | ) | const

Model column used to retrieve the text from.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< int > Gtk::IconView::property_tooltip_column | ( |  | ) |

The column in the model containing the tooltip texts for the items.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< int > Gtk::IconView::property_tooltip_column | ( |  | ) | const

The column in the model containing the tooltip texts for the items.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::IconView::scroll_to_path | ( | const TreeModel::Path& | path,
|  | bool | use_align,
|  | gfloat | row_align,
|  | gfloat | col_align
| ) |  |

Moves the alignments of icon_view to the position specified by path.

row_align determines where the row is placed, and col_align determines where column is placed. Both are expected to be between 0.0 and 1.0. 0.0 means left/top alignment, 1.0 means right/bottom alignment, 0.5 means center.

If use_align is `false`, then the alignment arguments are ignored, and the tree does the minimum amount of work to scroll the item onto the screen. This means that the item will be scrolled to the edge closest to its current position. If the item is currently visible on the screen, nothing is done.

This function only works if the model is set, and path is a valid row on the model. If the model changes before the icon_view is realized, the centered path will be modified to reflect this change.

Since gtkmm 2.8:

Parameters:

  path | The path of the item to move to.
  use_align | Whether to use alignment arguments, or `false`.
  row_align | The vertical alignment of the item specified by path.
  col_align | The horizontal alignment of the item specified by path.

void Gtk::IconView::select_all | ( |  | ) |

Selects all the icons.

icon_view must has its selection mode set to Gtk::SELECTION_MULTIPLE.

Since gtkmm 2.6:

void Gtk::IconView::select_path | ( | const TreeModel::Path& | path | ) |

Selects the row at path.

Since gtkmm 2.6:

Parameters:

  path | The Gtk::TreePath to be selected.

void Gtk::IconView::selected_foreach | ( | const SlotForeach& | slot | ) |

Calls a function for each selected icon.

Note that the model or selection cannot be modified from within this function.

Parameters:

  slot | The callback to call for each selected icon.

void Gtk::IconView::set_column_spacing | ( | int | column_spacing | ) |

Sets the property_column_spacing() property which specifies the space which is inserted between the columns of the icon view.

Since gtkmm 2.6:

Parameters:

  column_spacing | The column spacing.

void Gtk::IconView::set_columns | ( | int | columns | ) |

Sets the property_columns() property which determines in how many columns the icons are arranged.

If columns is -1, the number of columns will be chosen automatically to fill the available area.

Since gtkmm 2.6:

Parameters:

  columns | The number of columns.

void Gtk::IconView::set_cursor | ( | const TreeModel::Path& | path,
|  | CellRenderer& | cell,
|  | bool | start_editing
| ) |  |

Sets the current keyboard focus to be at path, and selects it.

This is useful when you want to focus the user's attention on a particular item. If cell is not `0`, then focus is given to the cell specified by it. Additionally, if start_editing is `true`, then editing should be started in the specified cell.

This function is often followed by `gtk_widget_grab_focus (icon_view)` in order to give keyboard focus to the widget. Please note that editing can only happen when the widget is realized.

Since gtkmm 2.8:

Parameters:

  path | A Gtk::TreePath.
  cell | One of the cell renderers of icon_view, or `0`.
  start_editing | `true` if the specified cell should start being edited.

void Gtk::IconView::set_drag_dest_item | ( | const TreeModel::Path& | path,
|  | IconViewDropPosition | pos
| ) |  |

Sets the item that is highlighted for feedback.

Since gtkmm 2.8:

Parameters:

  path | The path of the item to highlight, or `0`.
  pos | Specifies where to drop, relative to the item.

void Gtk::IconView::set_item_orientation | ( | Orientation | orientation | ) |

Sets the property_item_orientation() property which determines whether the labels are drawn beside the icons instead of below.

Since gtkmm 2.6:

Parameters:

  orientation | The relative position of texts and icons.

void Gtk::IconView::set_item_padding | ( | int | item_padding | ) |

Sets the Gtk::IconView::property_item_padding() property which specifies the padding around each of the icon view's items.

Since gtkmm 2.18:

Parameters:

  item_padding | The item padding.

void Gtk::IconView::set_item_width | ( | int | item_width | ) |

Sets the property_item_width() property which specifies the width to use for each item.

If it is set to -1, the icon view will automatically determine a suitable item size.

Since gtkmm 2.6:

Parameters:

  item_width | The width for each item.

void Gtk::IconView::set_margin | ( | int | margin | ) |

Sets the property_margin() property which specifies the space which is inserted at the top, bottom, left and right of the icon view.

Since gtkmm 2.6:

Parameters:

  margin | The margin.

void Gtk::IconView::set_markup_column | ( | int | column | ) |

Sets the column with markup information for icon_view to be column.

The markup column must be of type TYPE_STRING. If the markup column is set to something, it overrides the text column set by set_text_column().

Since gtkmm 2.6:

Parameters:

  column | A column in the currently used model, or -1 to display no text.

void Gtk::IconView::set_markup_column | ( | const TreeModelColumnBase& | column | ) |

Sets the column with markup information for icon_view to be column.

The markup column must be of type TYPE_STRING. If the markup column is set to something, it overrides the text column set by set_text_column().

Since gtkmm 2.6:

Parameters:

  column | A column in the currently used model, or -1 to display no text.

void Gtk::IconView::set_model | ( | const Glib::RefPtr< TreeModel >& | model | ) |

Sets the model for a Gtk::IconView.

If the icon_view already has a model set, it will remove it before setting the new model. Use unset_model() to unset the old model.

Since gtkmm 2.6:

Parameters:

  model | The model.

void Gtk::IconView::set_pixbuf_column | ( | int | column | ) |

Sets the column with pixbufs for icon_view to be column.

The pixbuf column must be of type Gdk::TYPE_PIXBUF

Since gtkmm 2.6:

Parameters:

  column | A column in the currently used model, or -1 to disable.

void Gtk::IconView::set_pixbuf_column | ( | const TreeModelColumnBase& | column | ) |

Sets the column with pixbufs for icon_view to be column.

The pixbuf column must be of type Gdk::TYPE_PIXBUF

Since gtkmm 2.6:

Parameters:

  column | A column in the currently used model, or -1 to disable.

void Gtk::IconView::set_reorderable | ( | bool | reorderable = `true` | ) |

This function is a convenience function to allow you to reorder models that support the Gtk::TreeDragSourceIface and the Gtk::TreeDragDestIface.

Both Gtk::TreeStore and Gtk::ListStore support these. If reorderable is `true`, then the user can reorder the model by dragging and dropping rows. The developer can listen to these changes by connecting to the model's row_inserted and row_deleted signals. The reordering is implemented by setting up the icon view as a drag source and destination. Therefore, drag and drop can not be used in a reorderable view for any other purpose.

This function does not give you any degree of control over the order – any reordering is allowed. If more control is needed, you should probably handle drag and drop manually.

Since gtkmm 2.8:

Parameters:

  reorderable | `true`, if the list of items can be reordered.

void Gtk::IconView::set_row_spacing | ( | int | row_spacing | ) |

Sets the property_row_spacing() property which specifies the space which is inserted between the rows of the icon view.

Since gtkmm 2.6:

Parameters:

  row_spacing | The row spacing.

void Gtk::IconView::set_selection_mode | ( | SelectionMode | mode | ) |

Sets the selection mode of the icon_view.

Since gtkmm 2.6:

Parameters:

  mode | The selection mode.

void Gtk::IconView::set_spacing | ( | int | spacing | ) |

Sets the property_spacing() property which specifies the space which is inserted between the cells (i.e. the icon and the text) of an item.

Since gtkmm 2.6:

Parameters:

  spacing | The spacing.

void Gtk::IconView::set_text_column | ( | int | column | ) |

Sets the column with text for icon_view to be column.

The text column must be of type TYPE_STRING.

Since gtkmm 2.6:

Parameters:

  column | A column in the currently used model, or -1 to display no text.

void Gtk::IconView::set_text_column | ( | const TreeModelColumnBase& | model_column | ) |

Sets the column with text for icon_view to be column.

The text column must be of type TYPE_STRING.

Since gtkmm 2.6:

Parameters:

  column | A column in the currently used model, or -1 to display no text.

void Gtk::IconView::set_tooltip_cell | ( | const Glib::RefPtr< Tooltip >& | tooltip,
|  | const TreeModel::Path& | path,
|  | CellRenderer& | cell
| ) |  |

Sets the tip area of tooltip to the area which cell occupies in the item pointed to by path.

See also Tooltip::set_tip_area().

    \xrefitem since_2_12 36. @param tooltip A Gtk::Tooltip.
    @param path A Gtk::TreePath.
    @param cell A Gtk::CellRenderer.

void Gtk::IconView::set_tooltip_cell | ( | const Glib::RefPtr< Tooltip >& | tooltip,
|  | const TreeModel::Path& | path
| ) |  |

Sets the tip area of tooltip to the area occupied by the item pointed to by path.

See also Tooltip::set_tip_area().

    \xrefitem since_2_12 37. @param tooltip A Gtk::Tooltip.
    @param path A Gtk::TreePath.

void Gtk::IconView::set_tooltip_column | ( | int | column | ) |

If you only plan to have simple (text-only) tooltips on full items, you can use this function to have Gtk::IconView handle these automatically for you.

column should be set to the column in icon_view's model containing the tooltip texts, or -1 to disable this feature.

When enabled, Gtk::Widget::property_has_tooltip() will be set to `true` and icon_view will connect a Gtk::Widget::signal_query_tooltip() signal handler.

Note that the signal handler sets the text with Gtk::Tooltip::set_markup(), so&, <, etc have to be escaped in the text.

Since gtkmm 2.12:

Parameters:

  column | An integer, which is a valid column number for icon_view's model.

void Gtk::IconView::set_tooltip_item | ( | const Glib::RefPtr< Tooltip >& | tooltip,
|  | const TreeModel::Path& | path
| ) |  |

Sets the tip area of tooltip to be the area covered by the item at path.

See also Tooltip::set_tip_area().

Since gtkmm 2.12:

Parameters:

  tooltip | A Gtk::Tooltip.
  path | A Gtk::TreePath.

Glib::SignalProxy1< void,const TreeModel::Path& > Gtk::IconView::signal_item_activated | ( |  | ) |

Slot Prototype:
  `void on_my_item_activated(const TreeModel::Path& path)`

The signal_item_activated() signal is emitted when the method Gtk::IconView::item_activated() is called or the user double clicks an item. It is also emitted when a non-editable item is selected and one of the keys: Space, Return or Enter is pressed.

Parameters:

  path | The Gtk::TreePath for the activated item.

Glib::SignalProxy0< void > Gtk::IconView::signal_selection_changed | ( |  | ) |

Slot Prototype:
  `void on_my_selection_changed()`

The signal_selection_changed() signal is emitted when the selection (i.e. the set of selected items) changes.

void Gtk::IconView::unselect_all | ( |  | ) |

Unselects all the icons.

Since gtkmm 2.6:

void Gtk::IconView::unselect_path | ( | const TreeModel::Path& | path | ) |

Unselects the row at path.

Since gtkmm 2.6:

Parameters:

  path | The Gtk::TreePath to be unselected.

void Gtk::IconView::unset_model | ( |  | ) |

Remove the model from the IconView.

See also:
  set_model().

Since gtkmm 2.16:

void Gtk::IconView::unset_model_drag_dest | ( |  | ) |

Undoes the effect of enable_model_drag_dest().

Calling this method sets Gtk::IconView::property_reorderable() to `false`.

Since gtkmm 2.8:

void Gtk::IconView::unset_model_drag_source | ( |  | ) |

Undoes the effect of enable_model_drag_source().

Calling this method sets Gtk::IconView::property_reorderable() to `false`.

Since gtkmm 2.8:

## Friends And Related Function Documentation

Gtk::IconView* wrap | ( | GtkIconView * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/iconview.h